ESMC Web Console prerequisites - Linux

The following prerequisites must be installed before you install the ESMC Web Console component on Linux:

Apache Tomcat is a mandatory component required to run ESMC Web Console.

Apache Tomcat requires Java/OpenJDK.

Web Console file (era.war) saved to your local hard drive. Visit the ESET Security Management Center download section to download a standalone installer for this ESMC component (era.war).

To install the Java and/or Apache Tomcat package(s), use the terminal commands depending on your Linux distribution(s). Example package names below may differ from packages available in your Linux distribution repository. See also this Knowledgebase article.

Debian and Ubuntu distributions

sudo apt-get install openjdk-8-jdk tomcat7

CentOS, Red Hat and Fedora distributions

sudo yum install java-1.8.0-openjdk tomcat

OpenSUSE distribution

sudo zypper install java-1_8_0-openjdk tomcat